lib = File.expand_path('./lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'capistrano/scm/archive/version'

Gem::Specification.new do |spec|
  spec.name          = 'capistrano-scm-local_copy'
  spec.version       = Capistrano::Scm::Archive::VERSION
  spec.authors       = ['Dmitry Sergeev']
  spec.email         = ['identw@gmail.com']

  spec.summary       = 'Capistrano scm local copy'
  spec.description   = <<-HEREDOC
  SCM плагин для Capistrano, чтобы обеспечить возможность
  деплоить локальные файлы на удаленные сервера
HEREDOC
  spec.homepage      = 'https://github.com/identw/capistrano-scm-local_copy'
  spec.license       = 'MIT'

  # # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # # to allow pushing to a single host or delete this section to allow pushing to any host.
  # if spec.respond_to?(:metadata)
  #   spec.metadata['allowed_push_host'] = 'https://github.com/identw/capistrano-scm-archive'
  # else
  #   raise 'RubyGems 2.0 or newer is required to protect against ' \
  #    'public gem pushes.'
  # end

  spec.files = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency 'bundler', '~> 1.16'
  spec.add_development_dependency 'rake', '~> 10.0'

  spec.add_runtime_dependency 'rubyzip', '~> 1.2', '>= 1.2.1'
end
